summaryrefslogtreecommitdiff
path: root/src/exchangedb/test_idempotency.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/exchangedb/test_idempotency.sh')
-rwxr-xr-xsrc/exchangedb/test_idempotency.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/src/exchangedb/test_idempotency.sh b/src/exchangedb/test_idempotency.sh
index 6ab5d1332..7314b8c3f 100755
--- a/src/exchangedb/test_idempotency.sh
+++ b/src/exchangedb/test_idempotency.sh
@@ -1,10 +1,11 @@
#!/bin/sh
# This file is in the public domain.
set -eu
+psql talercheck < /dev/null || exit 77
echo "Initializing DB"
-taler-exchange-dbinit -r test-exchange-db-postgres.conf
+taler-exchange-dbinit -r -c test-exchange-db-postgres.conf
echo "Re-initializing DB"
-taler-exchange-dbinit test-exchange-db-postgres.conf
+taler-exchange-dbinit -c test-exchange-db-postgres.conf
echo "Re-loading procedures"
psql talercheck < procedures.sql
echo "Test PASSED"